Bug 1361974 (CVE-2016-2836) - CVE-2016-2836 Mozilla: Miscellaneous memory safety hazards (rv:45.3) (MFSA 2016-62)
Summary: CVE-2016-2836 Mozilla: Miscellaneous memory safety hazards (rv:45.3) (MFSA 20...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-2836
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:10 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:30:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC
Red Hat Product Errata RHSA-2016:1809 normal SHIPPED_LIVE Important: thunderbird security update 2016-09-05 18:14:19 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:10:18 UTC
Mozilla developers and community members reported several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code. 

Carsten Book, Christian Holler, Gary Kwong, Jesse Ruderman, Andrew McCreight, Phil Ringnalda and Philipp reported memory safety problems and crashes that are fixed in Firefox ESR 45.3 and Firefox 48.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-62.html


Acknowledgements:

Name: the Mozilla project
Upstream: Carsten Book, Christian Holler, Gary Kwong, Jesse Ruderman, Andrew McCreight, Phil Ringnalda, Philipp

Comment 1 errata-xmlrpc 2016-08-03 08:08:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html

Comment 2 errata-xmlrpc 2016-09-05 14:17:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1809 https://rhn.redhat.com/errata/RHSA-2016-1809.html


Note You need to log in before you can comment on or make changes to this bug.